import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentCreateNestedManyWithoutStaffInputObjectSchema as AppointmentCreateNestedManyWithoutStaffInputObjectSchema } from './AppointmentCreateNestedManyWithoutStaffInput.schema';
import { ClaimCreateNestedManyWithoutStaffInputObjectSchema as ClaimCreateNestedManyWithoutStaffInputObjectSchema } from './ClaimCreateNestedManyWithoutStaffInput.schema'

const makeSchema = () => z.object({
  name: z.string(),
  email: z.string().optional().nullable(),
  role: z.string(),
  phone: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  appointments: z.lazy(() => AppointmentCreateNestedManyWithoutStaffInputObjectSchema).optional(),
  claims: z.lazy(() => ClaimCreateNestedManyWithoutStaffInputObjectSchema).optional()
}).strict();
export const StaffCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.StaffCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffCreateWithoutUserInput>;
export const StaffCreateWithoutUserInputObjectZodSchema = makeSchema();
